Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.client
Interface Callback<T,F>

Type Parameters:
  `T` - The type returned on success
  `F` - The type returned on failure

    public interface Callback<T,F>

A callback for any asynchronous call that can result in success or failure.

Method Summary
`void` | `onFailure(F reason)` Called when an asynchronous call fails to complete normally.
`void` | `onSuccess(T result)` Called when an asynchronous call completes successfully.

Method Detail

### onFailure

    void onFailure(F reason)

  Called when an asynchronous call fails to complete normally.

  Parameters:
    `reason` - failure encountered

### onSuccess

    void onSuccess(T result)

  Called when an asynchronous call completes successfully.

  Parameters:
    `result` - the value returned

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD